org.eclipse.aether.spi.log

## Interface Logger

-     public interface Logger

  A simple logger to facilitate emission of diagnostic messages. In general, unrecoverable errors should be reported via exceptions and informational notifications should be reported via events, hence this logger interface focuses on support for tracing.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg)` Emits the specified message.
    `void` | `debug(String msg, Throwable error)` Emits the specified message along with a stack trace of the given exception.
    `boolean` | `isDebugEnabled()` Indicates whether debug logging is enabled.
    `boolean` | `isWarnEnabled()` Indicates whether warn logging is enabled.
    `void` | `warn(String msg)` Emits the specified message.
    `void` | `warn(String msg, Throwable error)` Emits the specified message along with a stack trace of the given exception.

- - ### Method Detail

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Indicates whether debug logging is enabled.
      Returns:
        `true` if debug logging is enabled, `false` otherwise.

    - #### debug

          void debug(String msg)

      Emits the specified message.
      Parameters:
        `msg` - The message to log, must not be `null`.

    - #### debug

          void debug(String msg,
                   Throwable error)

      Emits the specified message along with a stack trace of the given exception.
      Parameters:
        `msg` - The message to log, must not be `null`.
        `error` - The exception to log, may be `null`.

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Indicates whether warn logging is enabled.
      Returns:
        `true` if warn logging is enabled, `false` otherwise.

    - #### warn

          void warn(String msg)

      Emits the specified message.
      Parameters:
        `msg` - The message to log, must not be `null`.

    - #### warn

          void warn(String msg,
                  Throwable error)

      Emits the specified message along with a stack trace of the given exception.
      Parameters:
        `msg` - The message to log, must not be `null`.
        `error` - The exception to log, may be `null`.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.